// Zounds.V by Heinz Schuller  - Copyright 1992 Heinz W. Schuller
//                             *
// Modified to POV-Ray format by Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

// hawk01.v * surf01 { diff dark_slate_grey shine 100 gold }

// body panels
triangle { <0.8, 1.0, 0.3>, <0.8, -1.0, 0.3>, <-0.8, -1.0, 0.3> }
triangle { <-0.8, -1.0, 0.3>, <-0.8, 1.0, 0.3>, <0.8, 1.0, 0.3> }
triangle { <-0.8, -1.0, 0.3>, <0.8, -1.0, 0.3>, <0.5, -2.0, 0.15> }
triangle { <0.5, -2.0, 0.15>, <-0.5, -2.0, 0.15>, <-0.8, -1.0, 0.3> }
triangle { <0.8, 1.0, -0.3>, <-0.8, 1.0, -0.3>, <-0.8, -1.0, -0.3> }
triangle { <-0.8, -1.0, -0.3>, <0.8, -1.0, -0.3>, <0.8, 1.0, -0.3> }
triangle { <0.8, -1.0, -0.3>, <-0.8, -1.0, -0.3>, <-0.5, -2.0, -0.15> }
triangle { <-0.5, -2.0, -0.15>, <0.5, -2.0, -0.15>, <0.8, -1.0, -0.3> }
// spheres
// main internal
sphere { <-0.8, 1.0, 0>, 0.3 }
sphere { <0.8, 1.0, 0>, 0.3 }
sphere { <-0.8, -1.0, 0>, 0.3 }
sphere { <0.8, -1.0, 0>, 0.3 }

// side
sphere { <-1.3, 1.0, -0.5>, 0.15 }
sphere { <1.3, 1.0, -0.5>, 0.15 }
sphere { <1.3, -1.0, -0.5>, 0.15 }
sphere { <-1.3, -1.0, -0.5>, 0.15 }

// front
sphere { <-0.5, -2.0, 0>, 0.15 }
sphere { <0.5, -2.0, 0>, 0.15 }

// cylinders
// main internal
cone { <-0.8, 1.0, 0>, 0.3, <0.8, 1.0, 0>, 0.3 }
cone { <0.8, 1.0, 0>, 0.3, <0.8, -1.0, 0>, 0.3 }
cone { <0.8, -1.0, 0>, 0.3, <-0.8, -1.0, 0>, 0.3 }
cone { <-0.8, -1.0, 0>, 0.3, <-0.8, 1.0, 0>, 0.3 }

// side & front
cone { <-1.3, 1.0, -0.5>, 0.15, <-1.3, -1.0, -0.5>, 0.15 }
cone { <1.3, 1.0, -0.5>, 0.15, <1.3, -1.0, -0.5>, 0.15 }
cone { <-0.5, -2.0, 0>, 0.15, <0.5, -2.0, 0>, 0.15 }

// cones
// main internal
cone { <-1.3, 1.0, -0.5>, 0.15, <-0.8, 1.0, 0>, 0.3 }
cone { <1.3, 1.0, -0.5>, 0.15, <0.8, 1.0, 0>, 0.3 }
cone { <1.3, -1.0, -0.5>, 0.15, <0.8, -1.0, 0>, 0.3 }
cone { <-1.3, -1.0, -0.5>, 0.15, <-0.8, -1.0, 0>, 0.3 }

// front
cone { <-0.5, -2.0, 0>, 0.15, <-0.8, -1.0, 0>, 0.3 }
cone { <0.5, -2.0, 0>, 0.15, <0.8, -1.0, 0>, 0.3 }

// engines
cone { <-0.4, 1.4, 0>, 0.2, <-0.4, 1.6, 0>, 0.25 }
cone { <0.4, 1.4, 0>, 0.2, <0.4, 1.6, 0>, 0.25 }
