// Zounds.V by Heinz Schuller  - Copyright 1992 Heinz W. Schuller
//                             *
// Modified to POV-Ray format by Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

// fuel tanks & engines

// front
sphere { <16, -2.8, 2.8>, 2.8 }
sphere { <16, -2.8, -2.8>, 2.8 }
sphere { <16, 2.8, 2.8>, 2.8 }
sphere { <16, 2.8, -2.8>, 2.8 }

// back
sphere { <24, -2.8, 2.8>, 2.8 }
sphere { <24, -2.8, -2.8>, 2.8 }
sphere { <24, 2.8, 2.8>, 2.8 }
sphere { <24, 2.8, -2.8>, 2.8 }

// cyl
cylinder { <16, -2.8, 2.8>, <24, -2.8, 2.8>, 2.8 }
cylinder { <16, -2.8, -2.8>, <24, -2.8, -2.8>, 2.8 }
cylinder { <16, 2.8, 2.8>, <24, 2.8, 2.8>, 2.8 }
cylinder { <16, 2.8, -2.8>, <24, 2.8, -2.8>, 2.8 }

// engines
sphere { <27.6, -2.8, 2.8>, 2.8
	clipped_by {
		disc { <27.6, -2.8, 2.8>, -x, 1 inverse }
	}
}
sphere { <27.6, -2.8, -2.8>, 2.8
	clipped_by {
		disc { <27.6, -2.8, -2.8>, -x, 1 inverse }
	}
}
sphere { <27.6, 2.8, 2.8>, 2.8
	clipped_by {
		disc { <27.6, 2.8, 2.8>, -x, 1 inverse }
	}
}
sphere { <27.6, 2.8, -2.8>, 2.8
	clipped_by {
		disc { <27.6, 2.8, -2.8>, -x, 1 inverse }
	}
}

cone { <27.6, -2.8, 2.8>, 2, <28.8, -2.8, 2.8>, 2.8 }
cone { <27.6, -2.8, -2.8>, 2, <28.8, -2.8, -2.8>, 2.8 }
cone { <27.6, 2.8, 2.8>, 2, <28.8, 2.8, 2.8>, 2.8 }
cone { <27.6, 2.8, -2.8>, 2, <28.8, 2.8, -2.8>, 2.8 }

// side stuff
sphere { <17.6, -4.4, 0>, 0.8 }
sphere { <22.4, -4.4, 0>, 0.8 }
sphere { <17.6, 4.4, 0>, 0.8 }
sphere { <22.4, 4.4, 0>, 0.8 }

cylinder { <17.6, -4.4, 0>, <22.4, -4.4, 0>, 0.4 }
cylinder { <17.6, 4.4, 0>, <22.4, 4.4, 0>, 0.4 }

