// Zounds.V by Heinz Schuller  - Copyright 1992 Heinz W. Schuller
//                             *
// Modified to POV-Ray format by Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

#include "frame1.inc"

// include file setup
// ship frame is divided into four frame sections
// running the length of the frame section, two below
// and two above. I refer to the sections as quadrants


// 1st Quadrant

object { FRAME1 translate < 19, -1.8, 1.8> }
object { FRAME1 translate < 17, -1.8, 1.8> }
object { FRAME1 translate < 15, -1.8, 1.8> }
object { FRAME1 translate < 13, -1.8, 1.8> }
object { FRAME1 translate < 11, -1.8, 1.8> }
object { FRAME1 translate <  9, -1.8, 1.8> }
object { FRAME1 translate <  7, -1.8, 1.8> }
object { FRAME1 translate <  5, -1.8, 1.8> }
object { FRAME1 translate <  3, -1.8, 1.8> }
object { FRAME1 translate <  1, -1.8, 1.8> }
object { FRAME1 translate < -1, -1.8, 1.8> }
object { FRAME1 translate < -3, -1.8, 1.8> }
object { FRAME1 translate < -5, -1.8, 1.8> }
object { FRAME1 translate < -7, -1.8, 1.8> }
object { FRAME1 translate < -9, -1.8, 1.8> }
object { FRAME1 translate <-11, -1.8, 1.8> }
object { FRAME1 translate <-13, -1.8, 1.8> }
object { FRAME1 translate <-15, -1.8, 1.8> }
object { FRAME1 translate <-17, -1.8, 1.8> }
object { FRAME1 translate <-19, -1.8, 1.8> }
object { FRAME1 translate <-21, -1.8, 1.8> }


// 2nd quadrant

object { FRAME1 translate < 19, -1.8, -1.8> }
object { FRAME1 translate < 17, -1.8, -1.8> }
object { FRAME1 translate < 15, -1.8, -1.8> }
object { FRAME1 translate < 13, -1.8, -1.8> }
object { FRAME1 translate < 11, -1.8, -1.8> }
object { FRAME1 translate <  9, -1.8, -1.8> }
object { FRAME1 translate <  7, -1.8, -1.8> }
object { FRAME1 translate <  5, -1.8, -1.8> }
object { FRAME1 translate <  3, -1.8, -1.8> }
object { FRAME1 translate <  1, -1.8, -1.8> }
object { FRAME1 translate < -1, -1.8, -1.8> }
object { FRAME1 translate < -3, -1.8, -1.8> }
object { FRAME1 translate < -5, -1.8, -1.8> }
object { FRAME1 translate < -7, -1.8, -1.8> }
object { FRAME1 translate < -9, -1.8, -1.8> }
object { FRAME1 translate <-11, -1.8, -1.8> }
object { FRAME1 translate <-13, -1.8, -1.8> }
object { FRAME1 translate <-15, -1.8, -1.8> }
object { FRAME1 translate <-17, -1.8, -1.8> }
object { FRAME1 translate <-19, -1.8, -1.8> }
object { FRAME1 translate <-21, -1.8, -1.8> }

// 3rd Quadrant

object { FRAME1 translate < 19, 1.8, 1.8> }
object { FRAME1 translate < 17, 1.8, 1.8> }
object { FRAME1 translate < 15, 1.8, 1.8> }
object { FRAME1 translate < 13, 1.8, 1.8> }
object { FRAME1 translate < 11, 1.8, 1.8> }
object { FRAME1 translate <  9, 1.8, 1.8> }
object { FRAME1 translate <  7, 1.8, 1.8> }
object { FRAME1 translate <  5, 1.8, 1.8> }
object { FRAME1 translate <  3, 1.8, 1.8> }
object { FRAME1 translate <  1, 1.8, 1.8> }
object { FRAME1 translate < -1, 1.8, 1.8> }
object { FRAME1 translate < -3, 1.8, 1.8> }
object { FRAME1 translate < -5, 1.8, 1.8> }
object { FRAME1 translate < -7, 1.8, 1.8> }
object { FRAME1 translate < -9, 1.8, 1.8> }
object { FRAME1 translate <-11, 1.8, 1.8> }
object { FRAME1 translate <-13, 1.8, 1.8> }
object { FRAME1 translate <-15, 1.8, 1.8> }
object { FRAME1 translate <-17, 1.8, 1.8> }
object { FRAME1 translate <-19, 1.8, 1.8> }
object { FRAME1 translate <-21, 1.8, 1.8> }

// 4th Quadrant

object { FRAME1 translate < 19, 1.8, -1.8> }
object { FRAME1 translate < 17, 1.8, -1.8> }
object { FRAME1 translate < 15, 1.8, -1.8> }
object { FRAME1 translate < 13, 1.8, -1.8> }
object { FRAME1 translate < 11, 1.8, -1.8> }
object { FRAME1 translate <  9, 1.8, -1.8> }
object { FRAME1 translate <  7, 1.8, -1.8> }
object { FRAME1 translate <  5, 1.8, -1.8> }
object { FRAME1 translate <  3, 1.8, -1.8> }
object { FRAME1 translate <  1, 1.8, -1.8> }
object { FRAME1 translate < -1, 1.8, -1.8> }
object { FRAME1 translate < -3, 1.8, -1.8> }
object { FRAME1 translate < -5, 1.8, -1.8> }
object { FRAME1 translate < -7, 1.8, -1.8> }
object { FRAME1 translate < -9, 1.8, -1.8> }
object { FRAME1 translate <-11, 1.8, -1.8> }
object { FRAME1 translate <-13, 1.8, -1.8> }
object { FRAME1 translate <-15, 1.8, -1.8> }
object { FRAME1 translate <-17, 1.8, -1.8> }
object { FRAME1 translate <-19, 1.8, -1.8> }
object { FRAME1 translate <-21, 1.8, -1.8> }

// whew!

